> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Secret

Returns the Secret object associated with the ID.

## Path Parameters

## Returns

Returns the Secret object associated with the ID. Note that the `value` field is not returned.

```bash cURL theme={null}
curl https://production.methodfi.com/secrets/sec_au22b1fbFrmfp \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const secret = await method.secrets.retrieve('sec_au22b1fbFrmfp');
```

```python Python theme={null}
secret = method.secrets.retrieve('sec_au22b1fbFrmfp')
```

```json theme={null}
{
  "id": "sec_au22b1fbFrmfp",
  "metadata": {
    "environment": "production"
  },
  "created_at": "2025-12-04T18:50:54.024Z",
  "updated_at": "2025-12-04T18:50:54.024Z",
  "status": "active"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.